org.codehaus.plexus.i18n

## Class DefaultLanguage

- java.lang.Object
- - org.codehaus.plexus.i18n.DefaultLanguage

All Implemented Interfaces:
  Language

    public class DefaultLanguage
    extends Object
    implements Language

Author:
  Oleg Gusakov

### Field Summary

### Fields inherited from interface org.codehaus.plexus.i18n.Language

`DEFAULT_NAME, ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultLanguage()`
`DefaultLanguage(Class clazz)`
`DefaultLanguage(Class clazz, Locale locale)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage(String key, String... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLanguage

    public DefaultLanguage()

#### DefaultLanguage

    public DefaultLanguage(Class clazz)

#### DefaultLanguage

    public DefaultLanguage(Class clazz,
                           Locale locale)

### Method Detail

#### getMessage

    public String getMessage(String key,
                             String... args)

Specified by:
  `getMessage` in interface `Language`